> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user info

> Update preferences for the logged in user making this request.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml patch /user-preferences
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /user-preferences:
    patch:
      tags:
        - Users
      summary: Update user info
      description: Update preferences for the logged in user making this request.
      operationId: PATCH-V4-/user-preferences
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserPreferencesUpdate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserPreferencesUpdateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UserPreferencesUpdate:
      properties:
        preferences:
          title: Preferences
          description: User preferences that can be stored in the Scale GenAI Platform.
          additionalProperties: true
          type: object
      type: object
      title: UserPreferencesUpdate
    UserPreferencesUpdateResponse:
      properties:
        updated:
          type: boolean
          title: Updated
          description: Whether the user preferences was successfully updated.
        preferences:
          title: Preferences
          description: User preferences that can be stored in the Scale GenAI Platform.
          additionalProperties: true
          type: object
      type: object
      required:
        - updated
      title: UserPreferencesUpdateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````